<?php get_header(); ?>

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

		<div class="post" id="post-<?php the_ID(); ?>">

			<div class="post-meta">
				<span class="post-date"><?php the_time('F j, Y') ?></span>
				<span class="post-cmts"><?php comments_popup_link(__('No comments'), __('1 Comment'), __('% Comments'), 'commentslink', __('Comments off')); ?></span>
				<?php if (function_exists('UTW_ShowTagsForCurrentPost')) { ?>
					<ul class="post-tags">
					<?php UTW_ShowTagsForCurrentPost('htmllist', '', '') ?>
					</ul>
				<?php } ?>
				<?php edit_post_link(__('&raquo; Edit this post'), '<span class="post-edit">', '</span>'); ?>
			</div><!-- End of .post-meta -->

			<div class="post-main">
				<h2 class="post-title">
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to'); ?> <?php the_title(); ?>"><?php the_title(); ?></a>
				</h2>


				<div class="post-entry">
					<?php if (is_search()) { ?>
						<?php the_excerpt() ?>
					<?php } else { ?>
						<?php the_content(__('Read the rest of this entry &raquo;')); ?>
					<?php } ?>
				</div>

				<!--
				<?php trackback_rdf(); ?>
				-->

			</div><!-- End of .post-main -->

		</div><!-- End of .post -->

		<?php endwhile; ?>

			<!-- Page Navigation -->
			<?php if (function_exists('wp_pagenavi')) : ?>
				<div class="pagenavi">
					<?php wp_pagenavi(); ?>
				</div>
			<?php else : // Use WordPress default page navigation. ?>
			<div class="pages">
				<span class="older"><?php next_posts_link('&laquo; Older Entries'); ?></span>
				<span class="newer"><?php previous_posts_link('Newer Entries &raquo;'); ?></span>
			</div>
			<?php endif; ?>


	<?php else : ?>

		<div class="post-main">
			<h2 class="post-title"><?php _e('404 - Not Found'); ?></h2>
			<div class="post-entry">
				<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
			</div>
		</div>

	<?php endif; ?>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
